package net.northking.cctp.scriptcase.tools.hapUtil.resources;

public enum ResType {
    ELEMENT(0),
    RAW(6),
    INTEGER(8),
    STRING(9),
    STRARRAY(10),
    INTARRAY(11),
    BOOLEAN(12),
    COLOR(14),
    ID(15),
    THEME(16),
    PLURAL(17),
    FLOAT(18),
    MEDIA(19),
    PROF(20),
    PATTERN(22),
    SYMBOL(23),
    RES(24),
    INVALID_RES_TYPE(-1),
    ;
    private final int value;

    private ResType(final int value) {
        this.value = value;
    }

    public static ResType valueOf(final int value) {
        for (ResType type : ResType.values()) {
            if (type.value == value) {
                return type;
            }
        }
        return ResType.INVALID_RES_TYPE;
    }
}
